package org.linlinjava.jz.db.service;

import org.linlinjava.jz.db.dao.JzBaseMapper;
import org.linlinjava.jz.db.domain.JzBase;
import org.linlinjava.jz.db.domain.JzBaseExample;
import org.linlinjava.jz.db.util.BaseConstant;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class JzBaseService {

    @Resource
    private JzBaseMapper baseMapper;

    public List<JzBase> list(Integer type) {

        JzBaseExample example = new JzBaseExample();
        example.or().andTypeEqualTo(type).andDeletedEqualTo(false);
        return baseMapper.selectByExample(example);
    }
}
